class ContactsController < ApplicationController
  
  #--------------------------------------------------------------------------------------
   #
   #--------------------------------------------------------------------------------------
   def index
        redirect_to :action => 'list'
   end
   #--------------------------------------------------------------------------------------
   #
   #--------------------------------------------------------------------------------------
   def list       
     @objects = Contact.find(:all)
   end

   #--------------------------------------------------------------------------------------
   #
   #--------------------------------------------------------------------------------------
   def show
      @object = Contact.find(:first)   
   end

   #--------------------------------------------------------------------------------------
   #
   #--------------------------------------------------------------------------------------
   def create

        items = {:contact_item =>{:type_id=>27, 
                                    :value =>"zinfandel@entreprise-facile.com"}}
 
        addresses = {:contact_address =>{:address_type=>21, 
                                         :zip_code =>75017, 
                                         :city=>"Paris", 
                                         :country =>"France", 
                                         :street_address=>"10 rue messagerie"}}
                                         
                                                                            
       @object = Contact.new(:first_name => 'emile',
                             :contact_items =>{:contact_item => items },
                             :contact_addresses =>{:contact_address => addresses },
                             :last_name => 'zinfandel',
                             :civility_label_id => 17)
       @created = @object.save
   end

   #--------------------------------------------------------------------------------------
   #
   #--------------------------------------------------------------------------------------

   def update

    object_id =  Contact.find(:first).id

    @object =  Contact.find(object_id)
    @object.first_name = 'updated'
    @updated = @object.save  

   end


   #--------------------------------------------------------------------------------------
   #
   #--------------------------------------------------------------------------------------
   def destroy

        obj_id =  Contact.find(:first).id

        @object =  Contact.find(obj_id)

        @destroyed = @object.destroy

   end
  
end
